using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.SyncSemiStock
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("进入 保存半成品库存服务");
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();

            //new Services().Init();

            //new Services().SyncSupplierPrice();

            //new Services().SyncStockLog();

            //new Services().SaveDailySemiStock();

        }

    }
}
